<?php 
  include("../clases/BDConexion.php");
  include("../clases/clsClinico.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  session_start();
  $objClinico=new clsClinico;
   $fecha=extraerfechamysql($fecha);
  $count = count($sel);
  if ($count>0){
  for($i=0;$i<$count;$i++){
  		$rescodigomed = $objClinico->DevolverCodMedicinasLugar($codigo_med[$i],$destino);
		if($filacodigomed=$objClinico->NextRow($rescodigomed)){
		
  			$res = $objClinico->DevolverUltimoProcesoKardexMed($filacodigomed['cod_med']);		
			if($fila=$objClinico->NextRow($res)){				
			$saldoActual  =  $fila['saldo_actual'];
			$saldoini=$saldoActual;
			$saldofin=$cantidad[$i]+$saldoActual;
			}else{
			$resmedica = $objClinico->DevolverUltimoProcesoKardexMedicina($filacodigomed['cod_med']);
			$filamedica=$objClinico->NextRow($resmedica);		
			$saldoini=$filamedica['stock'];
			$saldofin=$cantidad[$i]+$filamedica['stock'];		
			}
		$objClinico->InsertKardexMedicinaGuiaLugar($filacodigomed['cod_med'],$saldoini,$cantidad[$i],$saldofin,$fecha,'G',$num_guia,$costo[$i],$obser[$i],$um[$i],$destino);
		$objClinico->ActalizaStockMedTransfer($filacodigomed['cod_med'],$saldofin);
		
		}else{
			$rescodigomedi = $objClinico->DevolverCodMedicinass($codigo_med[$i]);
			$filacodigomedi=$objClinico->NextRow($rescodigomedi);
			$codmed_ultimo=$objClinico->InsertMedicinaBrp($codigo_med[$i],$filacodigomedi['medicina'],'',$filacodigomedi['unidad_med'],0,$destino,$fecha,$filacodigomedi['costo']);
			$res = $objClinico->DevolverUltimoProcesoKardexMed($codmed_ultimo);
		
			if($fila=$objClinico->NextRow($res)){				
			$saldoActual  =  $fila['saldo_actual'];
			$saldoini=$saldoActual;
			$saldofin=$cantidad[$i]+$saldoActual;
			}else{
			$resmedica = $objClinico->DevolverUltimoProcesoKardexMedicina($codmed_ultimo);
			$filamedica=$objClinico->NextRow($resmedica);		
			$saldoini=$filamedica['stock'];
			$saldofin=$cantidad[$i]+$filamedica['stock'];		
			}
			$objClinico->InsertKardexMedicinaGuiaLugar($codmed_ultimo,$saldoini,$cantidad[$i],$saldofin,$fecha,'G',$num_guia,$costo[$i],$obser[$i],$um[$i],$destino);		
			$objClinico->ActalizaStockMedTransfer($codmed_ultimo,$saldofin);
		}
		
		
			 
	}
  }
	$objClinico->ActalizaCabTransfer($id_transfer);	
 Redirigir("../um_lista_ingremed_traslado.php?borrar=1&aler=1&opcion=$opcion&des=$des"); 
  ?>